# Setting up a Spotify oauth application

1. Login to [Spotify developer portal](https://developer.spotify.com/dashboard/) using your Spotify account credentials
2. Select **Create an app**
3. Pick an app name and description, suggest using **spotify\_sync** as the name, click **Create**
4. Select **Edit settings**, nagivate to **Redirect URIs** and enter **`http://127.0.0.1:9090`** and click **Add**
   * If you have changed the default [Schema](/configuration/schema.md#redirect_uri_port) this will need to match what you have configured
5. Click **Save**&#x20;
6. Click **Show client secret**

You are now able to see your [Schema](/configuration/schema.md#client_id) and [Schema](/configuration/schema.md#client_secret)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.spotify-sync.jbh.cloud/guides/setting-up-a-spotify-oauth-application.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
